<!-- thirdAd -->
<template>
  <div class="thirdAd">
    <van-swipe class="imgBox"  :autoplay="3000" indicator-color="white">
      <van-swipe-item @click="headleClick" v-for="(item ,index ) in home.mainInfo.third_ad.img" :key="index">
          <img class="imgBox" :src="item" />
      </van-swipe-item>
    </van-swipe>
  </div>
</template>

<script>
export default {
  name: 'thirdAd',
  inject: ['home'],
  data() {
    return {
    }
  },

  methods: {
    //初始化方法
    init() { },
     headleClick(row){
       let url = this.home.mainInfo.third_ad.url
       console.log(url)
      if(!url){
        return
      }else{
         this.openUrl(url)
      }
    }
  },
}

</script>
<style lang='scss' scoped>
.imgBox{
    width: 100%;
    height: 1.54rem;
    border-radius: 0.14rem;
    overflow: hidden;
    object-fit: cover;  
}

.thirdAd{
  padding: 0 0.3rem;
}
</style>